import { TypedSopNode } from './_Base';
import { NodeParamsConfig } from '../utils/params/ParamsConfig';
declare class HexagonsSopParamsConfig extends NodeParamsConfig {
    /** @param plane size */
    size: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.VECTOR2>;
    /** @param hexagons size */
    hexagonRadius: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.FLOAT>;
    /** @param axis perpendicular to the plane */
    direction: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.VECTOR3>;
    /** @param do not create polygons, only points */
    pointsOnly: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.BOOLEAN>;
}
export declare class HexagonsSopNode extends TypedSopNode<HexagonsSopParamsConfig> {
    params_config: HexagonsSopParamsConfig;
    static type(): string;
    private _core_transform;
    initializeNode(): void;
    cook(): void;
}
export {};
